add dependency on 2.6.26+, current version needs 'get_unaligned_le16' helper introduc...
authorNicolas Thill <nico@openwrt.org>
Sun, 21 Dec 2008 02:42:10 +0000 (02:42 +0000)
committerNicolas Thill <nico@openwrt.org>
Sun, 21 Dec 2008 02:42:10 +0000 (02:42 +0000)
SVN-Revision: 13705

package/libertas/Makefile

index decf8c4..1641abe 100644 (file)
@@ -14,9 +14,10 @@ PKG_RELEASE:=1
 
 include $(INCLUDE_DIR)/package.mk
 
+# XXX: current version needs 'get_unaligned_le16' helper introduced in 2.6.26
 define KernelPackage/libertas
   SUBMENU:=Other modules
-  DEPENDS:=+kmod-ieee80211
+  DEPENDS:=+kmod-ieee80211 @LINUX_2_6_26 @LINUX_2_6_27 @LINUX_2_6_28
   TITLE:=Marvell 88W8015 Wireless Driver
   FILES:= \
        $(PKG_BUILD_DIR)/libertas.$(LINUX_KMOD_SUFFIX)  \